Subject: Re: bug#49555: 28.0.50; height display property causes text to render with incorrect spacing

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Jul 2021 15:05:19 +0300

> From: Adam Edge <[email-masked]>
> Date: Wed, 14 Jul 2021 19:00:25 +0300
> 
> Another thing I've noticed is that when I just did the (set-face-attribute)
> part without (set-frame-font) and opened a new frame, the frame's font was
> the same as the one with incorrect letter spacing. When I did
> M-x describe-font RET, this is what I got in the `full name' line:Fira
> Code:pixelsize=14:foundry=CTDB:weight=normal:slant=normal:width=normal:spacing=90:scalable=true
> And the font loaded is: /usr/share/fonts/fira-code/FiraCode-Medium.ttf
> After doing the (set-frame-font), the font returned to the desired
> spacing. The `full-name' line in describe-font now is: Fira
> Code:pixelsize=14:foundry=CTDB:weight=normal:slant=normal:width=normal:spacing=100:scalable=true
> And the font loaded now is:
> /home/aedge/.local/share/fonts/FiraCode-Retina.ttf I suppose removing
> the system font should fix my problem here, and the issue can be closed,
> but why does the font change when '(height 1) is specified?

Good question.  I don't really know the answer, but maybe that's
because the original font has a slightly different height?